rte_pdump_stats(3)

NAME
rte_pdump_stats

SYNOPSIS

#include <rte_pdump.h>

  Data Fields

uint64_t accepted
uint64_t filtered
uint64_t nombuf
uint64_t ringfull
uint64_t reserved [4]

Detailed Description

A structure used to retrieve statistics from packet capture. The statistics are sum of both receive and transmit queues.

Definition at line 227 of file rte_pdump.h.

Field Documentation

  uint64_t accepted
Number of packets accepted by filter.

Definition at line 228 of file rte_pdump.h.

  uint64_t filtered
Number of packets rejected by filter.

Definition at line 229 of file rte_pdump.h.

  uint64_t nombuf
Number of mbuf allocation failures.

Definition at line 230 of file rte_pdump.h.

  uint64_t ringfull
Number of missed packets due to ring full.

Definition at line 231 of file rte_pdump.h.

  uint64_t reserved[4]
Reserved and pad to cache line

Definition at line 233 of file rte_pdump.h.

Author

Generated automatically by Doxygen for DPDK from the source code.